Skip to content

Get transactions auxiliary info

GET
/transactions/auxiliary_info
curl --request GET \
--url 'https://example.com/v1/transactions/auxiliary_info?start_version=32425224034'

Retrieves persisted auxiliary information (such as transaction indices within blocks) for transactions in a given version range.

If the version range has been pruned, a 410 will be returned.

start_version
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

string format: uint64
Example
32425224034

Starting ledger version to retrieve auxiliary info for

limit
integer format: uint16

Max number of transactions to retrieve auxiliary info for.

If not provided, defaults to default page size

Array<object>

API representation of persisted auxiliary transaction information

object
transaction_index

Optional transaction index in the block (None indicates no auxiliary info available)

integer format: uint32
Example generated
[
{
"transaction_index": 1
}
]
X-APTOS-CHAIN-ID
required
integer format: uint8

Chain ID of the current chain

X-APTOS-LEDGER-VERSION
required
integer format: uint64

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSION
required
integer format: uint64

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSEC
required
integer format: uint64

Current timestamp of the chain

X-APTOS-EPOCH
required
integer format: uint64

Current epoch of the chain

X-APTOS-BLOCK-HEIGHT
required
integer format: uint64

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHT
required
integer format: uint64

Oldest non-pruned block height of the chain

X-APTOS-GAS-USED
integer format: uint64

The cost of the call in terms of gas

X-APTOS-CURSOR
string

Cursor to be used for endpoints that support cursor-based pagination. Pass this to the start field of the endpoint on the next call to get the next page of results.

X-APTOS-TXN-ENCRYPTION-KEY
string

Per-epoch transaction encryption key (hex-encoded)

Media type application/json

This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.

object
message
required

A message describing the error

string
error_code
required

These codes provide more granular error information beyond just the HTTP status code of the response.

string
Allowed values: account_not_found resource_not_found module_not_found struct_field_not_found version_not_found transaction_not_found table_item_not_found block_not_found state_value_not_found version_pruned block_pruned invalid_input invalid_transaction_update sequence_number_too_old vm_error rejected_by_filter health_check_failed mempool_is_full internal_error web_framework_error bcs_not_supported api_disabled
vm_error_code

A code providing VM error details when submitting transactions to the VM

integer format: uint64
Example
{
"error_code": "account_not_found"
}
X-APTOS-CHAIN-ID
integer format: uint8

Chain ID of the current chain

X-APTOS-LEDGER-VERSION
integer format: uint64

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSION
integer format: uint64

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSEC
integer format: uint64

Current timestamp of the chain

X-APTOS-EPOCH
integer format: uint64

Current epoch of the chain

X-APTOS-BLOCK-HEIGHT
integer format: uint64

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHT
integer format: uint64

Oldest non-pruned block height of the chain

X-APTOS-GAS-USED
integer format: uint64

The cost of the call in terms of gas

X-APTOS-TXN-ENCRYPTION-KEY
string

Per-epoch transaction encryption key (hex-encoded)

Media type application/json

This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.

object
message
required

A message describing the error

string
error_code
required

These codes provide more granular error information beyond just the HTTP status code of the response.

string
Allowed values: account_not_found resource_not_found module_not_found struct_field_not_found version_not_found transaction_not_found table_item_not_found block_not_found state_value_not_found version_pruned block_pruned invalid_input invalid_transaction_update sequence_number_too_old vm_error rejected_by_filter health_check_failed mempool_is_full internal_error web_framework_error bcs_not_supported api_disabled
vm_error_code

A code providing VM error details when submitting transactions to the VM

integer format: uint64
Example
{
"error_code": "account_not_found"
}
X-APTOS-CHAIN-ID
integer format: uint8

Chain ID of the current chain

X-APTOS-LEDGER-VERSION
integer format: uint64

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSION
integer format: uint64

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSEC
integer format: uint64

Current timestamp of the chain

X-APTOS-EPOCH
integer format: uint64

Current epoch of the chain

X-APTOS-BLOCK-HEIGHT
integer format: uint64

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHT
integer format: uint64

Oldest non-pruned block height of the chain

X-APTOS-GAS-USED
integer format: uint64

The cost of the call in terms of gas

X-APTOS-TXN-ENCRYPTION-KEY
string

Per-epoch transaction encryption key (hex-encoded)

Media type application/json

This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.

object
message
required

A message describing the error

string
error_code
required

These codes provide more granular error information beyond just the HTTP status code of the response.

string
Allowed values: account_not_found resource_not_found module_not_found struct_field_not_found version_not_found transaction_not_found table_item_not_found block_not_found state_value_not_found version_pruned block_pruned invalid_input invalid_transaction_update sequence_number_too_old vm_error rejected_by_filter health_check_failed mempool_is_full internal_error web_framework_error bcs_not_supported api_disabled
vm_error_code

A code providing VM error details when submitting transactions to the VM

integer format: uint64
Example
{
"error_code": "account_not_found"
}
X-APTOS-CHAIN-ID
integer format: uint8

Chain ID of the current chain

X-APTOS-LEDGER-VERSION
integer format: uint64

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSION
integer format: uint64

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSEC
integer format: uint64

Current timestamp of the chain

X-APTOS-EPOCH
integer format: uint64

Current epoch of the chain

X-APTOS-BLOCK-HEIGHT
integer format: uint64

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHT
integer format: uint64

Oldest non-pruned block height of the chain

X-APTOS-GAS-USED
integer format: uint64

The cost of the call in terms of gas

X-APTOS-TXN-ENCRYPTION-KEY
string

Per-epoch transaction encryption key (hex-encoded)

Media type application/json

This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.

object
message
required

A message describing the error

string
error_code
required

These codes provide more granular error information beyond just the HTTP status code of the response.

string
Allowed values: account_not_found resource_not_found module_not_found struct_field_not_found version_not_found transaction_not_found table_item_not_found block_not_found state_value_not_found version_pruned block_pruned invalid_input invalid_transaction_update sequence_number_too_old vm_error rejected_by_filter health_check_failed mempool_is_full internal_error web_framework_error bcs_not_supported api_disabled
vm_error_code

A code providing VM error details when submitting transactions to the VM

integer format: uint64
Example
{
"error_code": "account_not_found"
}
X-APTOS-CHAIN-ID
integer format: uint8

Chain ID of the current chain

X-APTOS-LEDGER-VERSION
integer format: uint64

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSION
integer format: uint64

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSEC
integer format: uint64

Current timestamp of the chain

X-APTOS-EPOCH
integer format: uint64

Current epoch of the chain

X-APTOS-BLOCK-HEIGHT
integer format: uint64

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHT
integer format: uint64

Oldest non-pruned block height of the chain

X-APTOS-GAS-USED
integer format: uint64

The cost of the call in terms of gas

X-APTOS-TXN-ENCRYPTION-KEY
string

Per-epoch transaction encryption key (hex-encoded)

Media type application/json

This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.

object
message
required

A message describing the error

string
error_code
required

These codes provide more granular error information beyond just the HTTP status code of the response.

string
Allowed values: account_not_found resource_not_found module_not_found struct_field_not_found version_not_found transaction_not_found table_item_not_found block_not_found state_value_not_found version_pruned block_pruned invalid_input invalid_transaction_update sequence_number_too_old vm_error rejected_by_filter health_check_failed mempool_is_full internal_error web_framework_error bcs_not_supported api_disabled
vm_error_code

A code providing VM error details when submitting transactions to the VM

integer format: uint64
Example
{
"error_code": "account_not_found"
}
X-APTOS-CHAIN-ID
integer format: uint8

Chain ID of the current chain

X-APTOS-LEDGER-VERSION
integer format: uint64

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSION
integer format: uint64

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSEC
integer format: uint64

Current timestamp of the chain

X-APTOS-EPOCH
integer format: uint64

Current epoch of the chain

X-APTOS-BLOCK-HEIGHT
integer format: uint64

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHT
integer format: uint64

Oldest non-pruned block height of the chain

X-APTOS-GAS-USED
integer format: uint64

The cost of the call in terms of gas

X-APTOS-TXN-ENCRYPTION-KEY
string

Per-epoch transaction encryption key (hex-encoded)

Media type application/json

This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.

object
message
required

A message describing the error

string
error_code
required

These codes provide more granular error information beyond just the HTTP status code of the response.

string
Allowed values: account_not_found resource_not_found module_not_found struct_field_not_found version_not_found transaction_not_found table_item_not_found block_not_found state_value_not_found version_pruned block_pruned invalid_input invalid_transaction_update sequence_number_too_old vm_error rejected_by_filter health_check_failed mempool_is_full internal_error web_framework_error bcs_not_supported api_disabled
vm_error_code

A code providing VM error details when submitting transactions to the VM

integer format: uint64
Example
{
"error_code": "account_not_found"
}
X-APTOS-CHAIN-ID
integer format: uint8

Chain ID of the current chain

X-APTOS-LEDGER-VERSION
integer format: uint64

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSION
integer format: uint64

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSEC
integer format: uint64

Current timestamp of the chain

X-APTOS-EPOCH
integer format: uint64

Current epoch of the chain

X-APTOS-BLOCK-HEIGHT
integer format: uint64

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHT
integer format: uint64

Oldest non-pruned block height of the chain

X-APTOS-GAS-USED
integer format: uint64

The cost of the call in terms of gas

X-APTOS-TXN-ENCRYPTION-KEY
string

Per-epoch transaction encryption key (hex-encoded)